<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:35 UTC 2019 -->
<title>ARController.IntroAnimationParams (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ARController.IntroAnimationParams (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ARController.IntroAnimationParams.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationMode.html" title="enum in com.here.android.mpa.ar"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/ar/ARController.OnCameraEnteredListener.html" title="interface in com.here.android.mpa.ar"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/ar/ARController.IntroAnimationParams.html" target="_top">Frames</a></li>
<li><a href="ARController.IntroAnimationParams.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.ar</div>
<h2 title="Class ARController.IntroAnimationParams" class="title">Class ARController.IntroAnimationParams</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.ar.ARController.IntroAnimationParams</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../com/here/android/mpa/ar/ARController.html" title="class in com.here.android.mpa.ar">ARController</a></dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">ARController.IntroAnimationParams</span>
extends java.lang.Object</pre>
<div class="block">Encapsulates parameters which affect the Intro Animation. The Intro Animation refers to the
 animation that is performed right after calling <a href="../../../../../com/here/android/mpa/ar/ARController.html#start--"><code>ARController.start()</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#getAnimationTime--">getAnimationTime</a></span>()</code>
<div class="block">Get duration of intro transition animation.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#getCenterInterpolator--">getCenterInterpolator</a></span>()</code>
<div class="block">Get the interpolator for intro(LiveSight entry) first person's location animation.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#getHeadingInterpolator--">getHeadingInterpolator</a></span>()</code>
<div class="block">Get the interpolator for intro(LiveSight entry) heading animation.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationMode.html" title="enum in com.here.android.mpa.ar">ARController.IntroAnimationMode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#getIntroAnimationMode--">getIntroAnimationMode</a></span>()</code>
<div class="block">Get intro animation mode.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#getPitchInterpolator--">getPitchInterpolator</a></span>()</code>
<div class="block">Get the interpolator for intro(LiveSight entry) pitch animation.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#getPositionInterpolator--">getPositionInterpolator</a></span>()</code>
<div class="block">Get the interpolator for intro(LiveSight entry) position change animation.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#getZoomInterpolator--">getZoomInterpolator</a></span>()</code>
<div class="block">Get the interpolator for intro(LiveSight entry) zoom animation.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html" title="class in com.here.android.mpa.ar">ARController.IntroAnimationParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#setAnimationTime-long-">setAnimationTime</a></span>(long value)</code>
<div class="block">Set the value of intro transition animation duration.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html" title="class in com.here.android.mpa.ar">ARController.IntroAnimationParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#setCenterInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setCenterInterpolator</a></span>(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for intro(LiveSight entry) first person's location animation.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html" title="class in com.here.android.mpa.ar">ARController.IntroAnimationParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#setHeadingInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setHeadingInterpolator</a></span>(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for intro(LiveSight entry) heading animation.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html" title="class in com.here.android.mpa.ar">ARController.IntroAnimationParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#setIntroAnimationMode-com.here.android.mpa.ar.ARController.IntroAnimationMode-">setIntroAnimationMode</a></span>(<a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationMode.html" title="enum in com.here.android.mpa.ar">ARController.IntroAnimationMode</a> mode)</code>
<div class="block">Set intro animation mode.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html" title="class in com.here.android.mpa.ar">ARController.IntroAnimationParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#setPitchInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setPitchInterpolator</a></span>(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for intro(LiveSight entry) pitch animation.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html" title="class in com.here.android.mpa.ar">ARController.IntroAnimationParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#setPositionInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setPositionInterpolator</a></span>(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for intro(LiveSight entry) position change animation.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html" title="class in com.here.android.mpa.ar">ARController.IntroAnimationParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#setZoomInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setZoomInterpolator</a></span>(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for intro(LiveSight entry) zoom animation.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setAnimationTime-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAnimationTime</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html" title="class in com.here.android.mpa.ar">ARController.IntroAnimationParams</a> setAnimationTime(long value)</pre>
<div class="block">Set the value of intro transition animation duration.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - intro transition animation duration in ms</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>IntroAnimationParams</code> object itself.</dd>
</dl>
</li>
</ul>
<a name="getAnimationTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAnimationTime</h4>
<pre>public long getAnimationTime()</pre>
<div class="block">Get duration of intro transition animation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>duration of intro transition animation in ms.</dd>
</dl>
</li>
</ul>
<a name="setPitchInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPitchInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html" title="class in com.here.android.mpa.ar">ARController.IntroAnimationParams</a> setPitchInterpolator(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</pre>
<div class="block">Set the interpolator for intro(LiveSight entry) pitch animation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar"><code>AnimationInterpolator</code></a> for intro pitch animation</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>IntroAnimationParams</code> object itself.</dd>
</dl>
</li>
</ul>
<a name="getPitchInterpolator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPitchInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> getPitchInterpolator()</pre>
<div class="block">Get the interpolator for intro(LiveSight entry) pitch animation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar"><code>AnimationInterpolator</code></a>.</dd>
</dl>
</li>
</ul>
<a name="setZoomInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setZoomInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html" title="class in com.here.android.mpa.ar">ARController.IntroAnimationParams</a> setZoomInterpolator(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</pre>
<div class="block">Set the interpolator for intro(LiveSight entry) zoom animation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar"><code>AnimationInterpolator</code></a> for intro zoom animation.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>IntroAnimationParams</code> object itself.</dd>
</dl>
</li>
</ul>
<a name="getZoomInterpolator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getZoomInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> getZoomInterpolator()</pre>
<div class="block">Get the interpolator for intro(LiveSight entry) zoom animation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar"><code>AnimationInterpolator</code></a>.</dd>
</dl>
</li>
</ul>
<a name="setHeadingInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHeadingInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html" title="class in com.here.android.mpa.ar">ARController.IntroAnimationParams</a> setHeadingInterpolator(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</pre>
<div class="block">Set the interpolator for intro(LiveSight entry) heading animation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar"><code>AnimationInterpolator</code></a> for intro heading animation</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>IntroAnimationParams</code> object itself.</dd>
</dl>
</li>
</ul>
<a name="getHeadingInterpolator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHeadingInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> getHeadingInterpolator()</pre>
<div class="block">Get the interpolator for intro(LiveSight entry) heading animation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar"><code>AnimationInterpolator</code></a>.</dd>
</dl>
</li>
</ul>
<a name="setCenterInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCenterInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html" title="class in com.here.android.mpa.ar">ARController.IntroAnimationParams</a> setCenterInterpolator(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</pre>
<div class="block">Set the interpolator for intro(LiveSight entry) first person's location animation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar"><code>AnimationInterpolator</code></a> for intro first person's location animation</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>IntroAnimationParams</code> object itself.</dd>
</dl>
</li>
</ul>
<a name="getCenterInterpolator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCenterInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> getCenterInterpolator()</pre>
<div class="block">Get the interpolator for intro(LiveSight entry) first person's location animation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar"><code>AnimationInterpolator</code></a>.</dd>
</dl>
</li>
</ul>
<a name="setPositionInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPositionInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html" title="class in com.here.android.mpa.ar">ARController.IntroAnimationParams</a> setPositionInterpolator(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</pre>
<div class="block">Set the interpolator for intro(LiveSight entry) position change animation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar"><code>AnimationInterpolator</code></a> for intro position change animation</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>IntroAnimationParams</code> object itself.</dd>
</dl>
</li>
</ul>
<a name="getPositionInterpolator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPositionInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> getPositionInterpolator()</pre>
<div class="block">Get the interpolator for intro(LiveSight entry) position change animation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar"><code>AnimationInterpolator</code></a>.</dd>
</dl>
</li>
</ul>
<a name="setIntroAnimationMode-com.here.android.mpa.ar.ARController.IntroAnimationMode-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIntroAnimationMode</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html" title="class in com.here.android.mpa.ar">ARController.IntroAnimationParams</a> setIntroAnimationMode(<a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationMode.html" title="enum in com.here.android.mpa.ar">ARController.IntroAnimationMode</a> mode)</pre>
<div class="block">Set intro animation mode.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mode</code> - The <a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationMode.html" title="enum in com.here.android.mpa.ar"><code>ARController.IntroAnimationMode</code></a> for intro animation</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>IntroAnimationParams</code> object itself.</dd>
</dl>
</li>
</ul>
<a name="getIntroAnimationMode--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getIntroAnimationMode</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationMode.html" title="enum in com.here.android.mpa.ar">ARController.IntroAnimationMode</a> getIntroAnimationMode()</pre>
<div class="block">Get intro animation mode.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationMode.html" title="enum in com.here.android.mpa.ar"><code>ARController.IntroAnimationMode</code></a>.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ARController.IntroAnimationParams.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationMode.html" title="enum in com.here.android.mpa.ar"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/ar/ARController.OnCameraEnteredListener.html" title="interface in com.here.android.mpa.ar"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/ar/ARController.IntroAnimationParams.html" target="_top">Frames</a></li>
<li><a href="ARController.IntroAnimationParams.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
